Rankers::pairLess< T1, T2 > Struct Template Reference

function for implementing < on two std::pairs. The first entries are More...

`#include <Ranking.h>`

Inheritance diagram for Rankers::pairLess< T1, T2 >:

## Public Member Functions

bool | operator() (const std::pair< T1, T2 > &v1, const std::pair< T1, T2 > &v2) const

## Detailed Description

### template<typename T1, typename T2>
struct Rankers::pairLess< T1, T2 >

function for implementing < on two std::pairs. The first entries are

Definition at line 40 of file Ranking.h.

## Member Function Documentation

## operator()()

template<typename T1 , typename T2 >

bool Rankers::pairLess< T1, T2 >::operator() | ( | const std::pair< T1, T2 > & | v1,
|  | const std::pair< T1, T2 > & | v2
| ) |  | const

inline

Definition at line 42 of file Ranking.h.

The documentation for this struct was generated from the following file:

- Ranking.h